export interface TelemetryConfig {
    application: string;
    domain: string;
    module: string;
    metrics: MetricsConfig;
}
export interface MetricsConfig {
    client: string;
    hostname: string;
    port: number;
    enabled: boolean;
}
export declare class Configuration {
    static readonly defaultApp = "";
    static readonly defaultDomain = "";
    static readonly defaultModule = "";
    static readonly defaultMetricsClient = "otlp";
    static readonly defaultMetricsHost = "127.0.0.1";
    static readonly defaultMetricsPort = 4317;
    static readonly defaultMetricsEnabled = true;
    static initializeConfiguration(configJSON: string | undefined): TelemetryConfig;
}
